%define name	gtkeyboard
%define version	1.1.7
%define release 3mdk

Summary:	Graphical Keyboard
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Accessibility
BuildRequires:  gtk+-devel >= 1.2.0

Source0:	%{name}-%{version}.tar.bz2
Source1:	gtkeyboard.menu.bz2
Source2:	gtkeyboard16.png.bz2
Source3:	gtkeyboard32.png.bz2
Source4:	gtkeyboard48.png.bz2

URL:		http://opop.nols.com/
Requires:	gtk+ >= 1.2.0
BuildRoot:	%{_tmppath}/%{name}-%{version}
Prefix:		%{_prefix}

%description
GTKeyboard is an application meant to help users with physical
disabilities who may be unable to use the keyboard all the time to
type text using a graphically laid out keyboard.  It is also used by
people who are simply a little bit lazy.  At this point, it has 
support for several foreign keyboards as well as ability to redirect
keypresses to other X11 applications

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q

%build
%configure
make ARCH_TYPE=%{_target_cpu} OPTIMIZATION="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
/usr/bin/install gtkeyboard $RPM_BUILD_ROOT%{_bindir}

#install keyboards
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
chmod a+r KEY/CH.key
cp KEY/* $RPM_BUILD_ROOT%{_datadir}/%{name}/

#install menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_menudir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
bzcat %{SOURCE4} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog COPYING INSTALL README about.data MANUAL.html COMPILING NEWS TODO
%doc CONFIG/*
%{_bindir}/%{name}
%{_datadir}/%{name}/*
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Tue Mar 05 2002 Yves Duret <yduret@mandrakesoft.com> 1.1.7-3mdk
- png icons

* Fri Oct  5 2001 DindinX <odin@mandrakesoft.com> 1.1.7-2mdk
- rebuild

* Fri Apr 27 2001 DindinX <odin@mandrakesoft.com> 1.1.7-1mdk
- 1.1.7

* Wed Dec  6 2000 DindinX <odin@mandrakesoft.com> 1.1.5-1mdk
- 1.1.5

* Mon Nov  6 2000 DindinX <odin@mandrakesoft.com> 1.1.3-1mdk
- 1.1.3

* Mon Oct 16 2000 DindinX <odin@mandrakesoft.com> 1.1.2-1mdk
- 1.1.2
- Install keyboards definitions in a better place

* Mon Oct  9 2000 DindinX <odin@mandrakesoft.com> 1.0-9mdk
- fix path so configuration files are correctly found

* Wed Sep 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-8mdk
- fixed mispelling of Group, dadou sucks

* Fri Sep 15 2000 David BAUDENS <baudens@mandrakesoft.com> 1.0-7mdk
- Move in Accessibility

* Tue Sep 05 2000 DindinX <odin@mandrakesoft.com> 1.0-6mdk
- BM & macros

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0-5mdk
- automatically added BuildRequires

* Tue May 22 2000 David BAUDENS <baudens@mandrakesoft.com> 1.0-4mdk
- Fix build for i486
- Fix %doc & display of "What's new"
- Use %%{_prefix}
- Use $RPM_OPT_FLAGS
- Make relocatable

* Fri Apr 28 2000 DindinX <odin@mandrakesoft.com> 1.0-3mdk
- Added 32x32 and 48x48 icons

* Fri Apr 28 2000 DindinX <odin@mandrakesoft.com> 1.0-2mdk
- remove menu icon path

* Tue Apr 20 2000 DindinX <odin@mandrakesoft.com> 1.0-1mdk
- 1.0 (stable version)

* Tue Apr 11 2000 DindinX <odin@mandrakesoft.com> 0.99-2mdk
- Added a nice Hlne's icon for the menu entry

* Sun Apr  2 2000 DindinX <odin@mandrakesoft.com> 0.99-1mdk
- New version

* Wed Mar 29 2000 DindinX <odin@mandrakesoft.com> 0.98.5-4mdk
- Add menu

* Tue Mar 28 2000 DindinX <odin@mandrakesoft.com> 0.98.5-3mdk
- change group

* Thu Mar 02 2000 Lenny Cartier <lenny@mandrakesoft.com>
- fix group

* Thu Feb 24 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build
 
* Fri Sep 10 1999 David Allen <s2mdalle@titan.vcu.edu>
- Build rpm for version 0.98     
